GNUNET-GNS-PROXY-SETUP-CA(1)

NAME
gnunet-gns-proxy-setup-ca - generate an X509 certificate for gnunet-gns-proxy and install it

SYNOPSIS
gnunet-gns-proxy-setup-ca [-hvtoV] [-c FILE]

DESCRIPTION
gnunet-gns-proxy-setup-ca is a sh(1) script to generate X509 certificates for your gnunet-gns-proxy(1) and to install it for both GNUnet and your web browser. It currently supports Firefox and Chrome based browsers through the help of external helpers: certutil (nss) is used for the import into webbrowsers, OpenSSL or GnuTLS are used to generated the CA.

-c FILE
    Use the configuration file FILE.

-h  Print short help on options.

-v  Print the version.

-V  Be verbose.

-t  Run a small test on binaries (only interesting for developers of this tool).

-o  Show output of results.

RETURN VALUES

FILES
gnunet.conf

SEE ALSO
gnunet-gns(1), gnunet-gns-proxy(1), gnunet.conf(5)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command
            info gnunet

should give you access to the complete handbook,
            info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

HISTORY
This man page first appeared in GNUnet 0.11.1.

AUTHORS
This page was written by ng0 <ng0@gnunet.org>.

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <bug-gnunet@gnu.org>.